#
# spec file for package ghc-vault
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name vault
Name:           ghc-%{pkg_name}
Version:        0.3.0.7
Release:        lp150.1.8
Summary:        A persistent store for values of arbitrary types
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-unordered-containers-devel

%description
A /vault/ is a persistent store for values of arbitrary types. It's like having
first-class access to the storage space behind IORefs.

The data structure is analogous to a bank vault, where you can access different
bank boxes with different keys; hence the name.

Also provided is a /locker/ type, representing a store for a single element.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Apr 24 2017 psimons@suse.com
- Update to version 0.3.0.7 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.3.0.6 revision 0 with cabal2obs.
* Sun Feb 14 2016 mimi.vx@gmail.com
- update to 0.3.0.6
  * Bump dependencies to allow base >= 4.5 && < 4.10.
* Mon Dec  7 2015 mimi.vx@gmail.com
- update to 0.3.0.5
  * Add support for GHC type roles extension, using the RoleAnnotations
  language pragma.
* Thu Apr 23 2015 mimi.vx@gmail.com
- initial commit
